Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class VerseType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.BaseType
          be.fgov.ehealth.samcivics.type.v1.VerseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class VerseType

extends BaseType
implements Serializable

Java class for VerseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="VerseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v1}BaseType">
           <sequence>
             <element name="verseSeq" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="verseNum" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="verseSeqParent" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="verseLevel" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="verseType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="checkBoxInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="minCheckNum" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="andClauseNum" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="textNl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="textFr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="requestType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="agreementTerm" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="agreementTermUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="maxPackageNumber" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="legalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="modificationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="agreementYearMax" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="agreementRenewalMax" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="sexRestricted" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="minimumAgeAuthorized" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="maximumAgeAuthorized" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="minimumAgeAuthorizedUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="maximumAgeAuthorizedUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="maximumContentQuantity" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="maximumContentUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="maximumStrengthQuantity" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="maximumStrengthUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="maximumDurationQuantity" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="maximumDurationUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="otherAddedDocumentInd" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="purchasingAdvisorQualList" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="addedDocumentInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`VerseType()`

Method Summary
`BigInteger` | `getAgreementRenewalMax()` Gets the value of the agreementRenewalMax property.
`BigInteger` | `getAgreementTerm()` Gets the value of the agreementTerm property.
`String` | `getAgreementTermUnit()` Gets the value of the agreementTermUnit property.
`BigInteger` | `getAgreementYearMax()` Gets the value of the agreementYearMax property.
`BigInteger` | `getAndClauseNum()` Gets the value of the andClauseNum property.
`String` | `getLegalReference()` Gets the value of the legalReference property.
`Float` | `getMaximumAgeAuthorized()` Gets the value of the maximumAgeAuthorized property.
`String` | `getMaximumAgeAuthorizedUnit()` Gets the value of the maximumAgeAuthorizedUnit property.
`Float` | `getMaximumContentQuantity()` Gets the value of the maximumContentQuantity property.
`String` | `getMaximumContentUnit()` Gets the value of the maximumContentUnit property.
`Float` | `getMaximumDurationQuantity()` Gets the value of the maximumDurationQuantity property.
`String` | `getMaximumDurationUnit()` Gets the value of the maximumDurationUnit property.
`Float` | `getMaximumStrengthQuantity()` Gets the value of the maximumStrengthQuantity property.
`String` | `getMaximumStrengthUnit()` Gets the value of the maximumStrengthUnit property.
`BigInteger` | `getMaxPackageNumber()` Gets the value of the maxPackageNumber property.
`BigInteger` | `getMinCheckNum()` Gets the value of the minCheckNum property.
`Float` | `getMinimumAgeAuthorized()` Gets the value of the minimumAgeAuthorized property.
`String` | `getMinimumAgeAuthorizedUnit()` Gets the value of the minimumAgeAuthorizedUnit property.
`org.joda.time.DateTime` | `getModificationDate()` Gets the value of the modificationDate property.
`String` | `getPurchasingAdvisorQualList()` Gets the value of the purchasingAdvisorQualList property.
`String` | `getRequestType()` Gets the value of the requestType property.
`String` | `getTextFr()` Gets the value of the textFr property.
`String` | `getTextNl()` Gets the value of the textNl property.
`BigInteger` | `getVerseLevel()` Gets the value of the verseLevel property.
`BigInteger` | `getVerseNum()` Gets the value of the verseNum property.
`BigInteger` | `getVerseSeq()` Gets the value of the verseSeq property.
`BigInteger` | `getVerseSeqParent()` Gets the value of the verseSeqParent property.
`String` | `getVerseType()` Gets the value of the verseType property.
`boolean` | `isAddedDocumentInd()` Gets the value of the addedDocumentInd property.
`boolean` | `isCheckBoxInd()` Gets the value of the checkBoxInd property.
`Boolean` | `isOtherAddedDocumentInd()` Gets the value of the otherAddedDocumentInd property.
`Boolean` | `isSexRestricted()` Gets the value of the sexRestricted property.
`void` | `setAddedDocumentInd(boolean value)` Sets the value of the addedDocumentInd property.
`void` | `setAgreementRenewalMax(BigInteger value)` Sets the value of the agreementRenewalMax property.
`void` | `setAgreementTerm(BigInteger value)` Sets the value of the agreementTerm property.
`void` | `setAgreementTermUnit(String value)` Sets the value of the agreementTermUnit property.
`void` | `setAgreementYearMax(BigInteger value)` Sets the value of the agreementYearMax property.
`void` | `setAndClauseNum(BigInteger value)` Sets the value of the andClauseNum property.
`void` | `setCheckBoxInd(boolean value)` Sets the value of the checkBoxInd property.
`void` | `setLegalReference(String value)` Sets the value of the legalReference property.
`void` | `setMaximumAgeAuthorized(Float value)` Sets the value of the maximumAgeAuthorized property.
`void` | `setMaximumAgeAuthorizedUnit(String value)` Sets the value of the maximumAgeAuthorizedUnit property.
`void` | `setMaximumContentQuantity(Float value)` Sets the value of the maximumContentQuantity property.
`void` | `setMaximumContentUnit(String value)` Sets the value of the maximumContentUnit property.
`void` | `setMaximumDurationQuantity(Float value)` Sets the value of the maximumDurationQuantity property.
`void` | `setMaximumDurationUnit(String value)` Sets the value of the maximumDurationUnit property.
`void` | `setMaximumStrengthQuantity(Float value)` Sets the value of the maximumStrengthQuantity property.
`void` | `setMaximumStrengthUnit(String value)` Sets the value of the maximumStrengthUnit property.
`void` | `setMaxPackageNumber(BigInteger value)` Sets the value of the maxPackageNumber property.
`void` | `setMinCheckNum(BigInteger value)` Sets the value of the minCheckNum property.
`void` | `setMinimumAgeAuthorized(Float value)` Sets the value of the minimumAgeAuthorized property.
`void` | `setMinimumAgeAuthorizedUnit(String value)` Sets the value of the minimumAgeAuthorizedUnit property.
`void` | `setModificationDate(org.joda.time.DateTime value)` Sets the value of the modificationDate property.
`void` | `setOtherAddedDocumentInd(Boolean value)` Sets the value of the otherAddedDocumentInd property.
`void` | `setPurchasingAdvisorQualList(String value)` Sets the value of the purchasingAdvisorQualList property.
`void` | `setRequestType(String value)` Sets the value of the requestType property.
`void` | `setSexRestricted(Boolean value)` Sets the value of the sexRestricted property.
`void` | `setTextFr(String value)` Sets the value of the textFr property.
`void` | `setTextNl(String value)` Sets the value of the textNl property.
`void` | `setVerseLevel(BigInteger value)` Sets the value of the verseLevel property.
`void` | `setVerseNum(BigInteger value)` Sets the value of the verseNum property.
`void` | `setVerseSeq(BigInteger value)` Sets the value of the verseSeq property.
`void` | `setVerseSeqParent(BigInteger value)` Sets the value of the verseSeqParent property.
`void` | `setVerseType(String value)` Sets the value of the verseType property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerseType

    public VerseType()

Method Detail

### getVerseSeq

    public BigInteger getVerseSeq()

  Gets the value of the verseSeq property.

  Returns:
    possible object is `BigInteger`

### setVerseSeq

    public void setVerseSeq(BigInteger value)

  Sets the value of the verseSeq property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseNum

    public BigInteger getVerseNum()

  Gets the value of the verseNum property.

  Returns:
    possible object is `BigInteger`

### setVerseNum

    public void setVerseNum(BigInteger value)

  Sets the value of the verseNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseSeqParent

    public BigInteger getVerseSeqParent()

  Gets the value of the verseSeqParent property.

  Returns:
    possible object is `BigInteger`

### setVerseSeqParent

    public void setVerseSeqParent(BigInteger value)

  Sets the value of the verseSeqParent property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseLevel

    public BigInteger getVerseLevel()

  Gets the value of the verseLevel property.

  Returns:
    possible object is `BigInteger`

### setVerseLevel

    public void setVerseLevel(BigInteger value)

  Sets the value of the verseLevel property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseType

    public String getVerseType()

  Gets the value of the verseType property.

  Returns:
    possible object is `String`

### setVerseType

    public void setVerseType(String value)

  Sets the value of the verseType property.

  Parameters:
    `value` - allowed object is `String`

### isCheckBoxInd

    public boolean isCheckBoxInd()

  Gets the value of the checkBoxInd property.

### setCheckBoxInd

    public void setCheckBoxInd(boolean value)

  Sets the value of the checkBoxInd property.

### getMinCheckNum

    public BigInteger getMinCheckNum()

  Gets the value of the minCheckNum property.

  Returns:
    possible object is `BigInteger`

### setMinCheckNum

    public void setMinCheckNum(BigInteger value)

  Sets the value of the minCheckNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAndClauseNum

    public BigInteger getAndClauseNum()

  Gets the value of the andClauseNum property.

  Returns:
    possible object is `BigInteger`

### setAndClauseNum

    public void setAndClauseNum(BigInteger value)

  Sets the value of the andClauseNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getTextNl

    public String getTextNl()

  Gets the value of the textNl property.

  Returns:
    possible object is `String`

### setTextNl

    public void setTextNl(String value)

  Sets the value of the textNl property.

  Parameters:
    `value` - allowed object is `String`

### getTextFr

    public String getTextFr()

  Gets the value of the textFr property.

  Returns:
    possible object is `String`

### setTextFr

    public void setTextFr(String value)

  Sets the value of the textFr property.

  Parameters:
    `value` - allowed object is `String`

### getRequestType

    public String getRequestType()

  Gets the value of the requestType property.

  Returns:
    possible object is `String`

### setRequestType

    public void setRequestType(String value)

  Sets the value of the requestType property.

  Parameters:
    `value` - allowed object is `String`

### getAgreementTerm

    public BigInteger getAgreementTerm()

  Gets the value of the agreementTerm property.

  Returns:
    possible object is `BigInteger`

### setAgreementTerm

    public void setAgreementTerm(BigInteger value)

  Sets the value of the agreementTerm property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAgreementTermUnit

    public String getAgreementTermUnit()

  Gets the value of the agreementTermUnit property.

  Returns:
    possible object is `String`

### setAgreementTermUnit

    public void setAgreementTermUnit(String value)

  Sets the value of the agreementTermUnit property.

  Parameters:
    `value` - allowed object is `String`

### getMaxPackageNumber

    public BigInteger getMaxPackageNumber()

  Gets the value of the maxPackageNumber property.

  Returns:
    possible object is `BigInteger`

### setMaxPackageNumber

    public void setMaxPackageNumber(BigInteger value)

  Sets the value of the maxPackageNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getLegalReference

    public String getLegalReference()

  Gets the value of the legalReference property.

  Returns:
    possible object is `String`

### setLegalReference

    public void setLegalReference(String value)

  Sets the value of the legalReference property.

  Parameters:
    `value` - allowed object is `String`

### getModificationDate

    public org.joda.time.DateTime getModificationDate()

  Gets the value of the modificationDate property.

  Returns:
    possible object is `String`

### setModificationDate

    public void setModificationDate(org.joda.time.DateTime value)

  Sets the value of the modificationDate property.

  Parameters:
    `value` - allowed object is `String`

### getAgreementYearMax

    public BigInteger getAgreementYearMax()

  Gets the value of the agreementYearMax property.

  Returns:
    possible object is `BigInteger`

### setAgreementYearMax

    public void setAgreementYearMax(BigInteger value)

  Sets the value of the agreementYearMax property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAgreementRenewalMax

    public BigInteger getAgreementRenewalMax()

  Gets the value of the agreementRenewalMax property.

  Returns:
    possible object is `BigInteger`

### setAgreementRenewalMax

    public void setAgreementRenewalMax(BigInteger value)

  Sets the value of the agreementRenewalMax property.

  Parameters:
    `value` - allowed object is `BigInteger`

### isSexRestricted

    public Boolean isSexRestricted()

  Gets the value of the sexRestricted property.

  Returns:
    possible object is `Boolean`

### setSexRestricted

    public void setSexRestricted(Boolean value)

  Sets the value of the sexRestricted property.

  Parameters:
    `value` - allowed object is `Boolean`

### getMinimumAgeAuthorized

    public Float getMinimumAgeAuthorized()

  Gets the value of the minimumAgeAuthorized property.

  Returns:
    possible object is `Float`

### setMinimumAgeAuthorized

    public void setMinimumAgeAuthorized(Float value)

  Sets the value of the minimumAgeAuthorized property.

  Parameters:
    `value` - allowed object is `Float`

### getMaximumAgeAuthorized

    public Float getMaximumAgeAuthorized()

  Gets the value of the maximumAgeAuthorized property.

  Returns:
    possible object is `Float`

### setMaximumAgeAuthorized

    public void setMaximumAgeAuthorized(Float value)

  Sets the value of the maximumAgeAuthorized property.

  Parameters:
    `value` - allowed object is `Float`

### getMinimumAgeAuthorizedUnit

    public String getMinimumAgeAuthorizedUnit()

  Gets the value of the minimumAgeAuthorizedUnit property.

  Returns:
    possible object is `String`

### setMinimumAgeAuthorizedUnit

    public void setMinimumAgeAuthorizedUnit(String value)

  Sets the value of the minimumAgeAuthorizedUnit property.

  Parameters:
    `value` - allowed object is `String`

### getMaximumAgeAuthorizedUnit

    public String getMaximumAgeAuthorizedUnit()

  Gets the value of the maximumAgeAuthorizedUnit property.

  Returns:
    possible object is `String`

### setMaximumAgeAuthorizedUnit

    public void setMaximumAgeAuthorizedUnit(String value)

  Sets the value of the maximumAgeAuthorizedUnit property.

  Parameters:
    `value` - allowed object is `String`

### getMaximumContentQuantity

    public Float getMaximumContentQuantity()

  Gets the value of the maximumContentQuantity property.

  Returns:
    possible object is `Float`

### setMaximumContentQuantity

    public void setMaximumContentQuantity(Float value)

  Sets the value of the maximumContentQuantity property.

  Parameters:
    `value` - allowed object is `Float`

### getMaximumContentUnit

    public String getMaximumContentUnit()

  Gets the value of the maximumContentUnit property.

  Returns:
    possible object is `String`

### setMaximumContentUnit

    public void setMaximumContentUnit(String value)

  Sets the value of the maximumContentUnit property.

  Parameters:
    `value` - allowed object is `String`

### getMaximumStrengthQuantity

    public Float getMaximumStrengthQuantity()

  Gets the value of the maximumStrengthQuantity property.

  Returns:
    possible object is `Float`

### setMaximumStrengthQuantity

    public void setMaximumStrengthQuantity(Float value)

  Sets the value of the maximumStrengthQuantity property.

  Parameters:
    `value` - allowed object is `Float`

### getMaximumStrengthUnit

    public String getMaximumStrengthUnit()

  Gets the value of the maximumStrengthUnit property.

  Returns:
    possible object is `String`

### setMaximumStrengthUnit

    public void setMaximumStrengthUnit(String value)

  Sets the value of the maximumStrengthUnit property.

  Parameters:
    `value` - allowed object is `String`

### getMaximumDurationQuantity

    public Float getMaximumDurationQuantity()

  Gets the value of the maximumDurationQuantity property.

  Returns:
    possible object is `Float`

### setMaximumDurationQuantity

    public void setMaximumDurationQuantity(Float value)

  Sets the value of the maximumDurationQuantity property.

  Parameters:
    `value` - allowed object is `Float`

### getMaximumDurationUnit

    public String getMaximumDurationUnit()

  Gets the value of the maximumDurationUnit property.

  Returns:
    possible object is `String`

### setMaximumDurationUnit

    public void setMaximumDurationUnit(String value)

  Sets the value of the maximumDurationUnit property.

  Parameters:
    `value` - allowed object is `String`

### isOtherAddedDocumentInd

    public Boolean isOtherAddedDocumentInd()

  Gets the value of the otherAddedDocumentInd property.

  Returns:
    possible object is `Boolean`

### setOtherAddedDocumentInd

    public void setOtherAddedDocumentInd(Boolean value)

  Sets the value of the otherAddedDocumentInd property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPurchasingAdvisorQualList

    public String getPurchasingAdvisorQualList()

  Gets the value of the purchasingAdvisorQualList property.

  Returns:
    possible object is `String`

### setPurchasingAdvisorQualList

    public void setPurchasingAdvisorQualList(String value)

  Sets the value of the purchasingAdvisorQualList property.

  Parameters:
    `value` - allowed object is `String`

### isAddedDocumentInd

    public boolean isAddedDocumentInd()

  Gets the value of the addedDocumentInd property.

### setAddedDocumentInd

    public void setAddedDocumentInd(boolean value)

  Sets the value of the addedDocumentInd property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.